# Class ReSampleInt

java.lang.Object
org.snpeff.probablility.bootstrap.ReSampleInt

Direct Known Subclasses:
  `ReSampleMap, ReSampleMapRank`

public class ReSampleInt extends Object
Re-sample statistic Statistic is a sum of a set of integer numbers (e.g. ranks). The statistic is sampled and PDF/CDF can be calculated from empirical random re-sampling.

Author:
  pablocingolani

## Constructor Summary

Constructors
Constructor
Description
`ReSampleInt(int[] scores, int sampleSize)`

## Method Summary

Modifier and Type
Method
Description
`double`
`cdf(int number)`
Cummulative distribution for this number
`protected void`
`clearStats()`
Clear previous statistics
`protected int`
`evaluate()`
Random sample and evaluate
`int`
`max()`
`int`
`min()`
`int`
`quantile(double quantile)`
Smallest number whose CDF is larger than a given quantile.
`void`
`resample(int iterations)`
Re-sample 'iterations' times
`void`
`setVerbose(boolean verbose)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReSampleInt

public ReSampleInt(int[] scores, int sampleSize)

## Method Details

### cdf

public double cdf(int number)
Cummulative distribution for this number

Parameters:
  `number` -
Returns:

### clearStats

protected void clearStats()
Clear previous statistics

### evaluate

protected int evaluate()
Random sample and evaluate

### max

public int max()

### min

public int min()

### quantile

public int quantile(double quantile)
Smallest number whose CDF is larger than a given quantile. I.e. x such that P[ X invalid input: '<'= x ] >= Quantile

Parameters:
  `quantile` -
Returns:

### resample

public void resample(int iterations)
Re-sample 'iterations' times

Parameters:
  `iterations` -

### setVerbose

public void setVerbose(boolean verbose)

### toString

public String toString()

Overrides:
  `toString` in class `Object`